package com.fs.common.enums;


import lombok.Getter;

@Getter
public enum BizResponseEnum {
    SUCCESS(200, "操作成功"),
    FAIL(500, "操作失败"),
    PARAM_ERROR(400, "参数错误"),
    DATA_NOT_EXIST(1002, "数据不存在"),
    WATCH_LATEST_COURSE(482, "请观看最新的课程项目"),
    WAIT_APPROVAL(505, "等待审核");

    private final Integer code;
    private final String msg;

    BizResponseEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    // 手动添加 getter（如果 Lombok 不生效）
    public Integer getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
